[Buildroot] [PATCH 09/11] Update genimage configuration file and add post-image.sh script for Aria G25 in order to build a bootable SD card image named "sdcard.img"

Biagio Montaruli biagio.hkr at gmail.com
Wed Aug 10 11:06:05 UTC 2016


Signed-off-by: Biagio Montaruli <biagio.hkr at gmail.com>
---
 board/acmesystems/aria-g25/genimage.cfg  | 29 +++++++++++++++++++++++++++++
 board/acmesystems/aria-g25/post-image.sh | 16 ++++++++++++++++
 2 files changed, 45 insertions(+)
 create mode 100644 board/acmesystems/aria-g25/genimage.cfg
 create mode 100755 board/acmesystems/aria-g25/post-image.sh

diff --git a/board/acmesystems/aria-g25/genimage.cfg b/board/acmesystems/aria-g25/genimage.cfg
new file mode 100644
index 0000000..12b5be6
--- /dev/null
+++ b/board/acmesystems/aria-g25/genimage.cfg
@@ -0,0 +1,29 @@
+# Minimal SD card image for the Acmesystems Aria-G25
+
+image boot.vfat {
+	vfat {
+		files = {
+			"zImage",
+			"acme-aria.dtb",
+			"boot.bin"
+		}
+	}
+	size = 16M
+}
+
+image sdcard.img {
+	hdimage {
+	}
+
+	partition boot {
+		partition-type = 0xC
+		bootable = "true"
+		image = "boot.vfat"
+	}
+
+	partition rootfs {
+		partition-type = 0x83
+		image = "rootfs.ext4"
+		size = 512M
+	}
+}
diff --git a/board/acmesystems/aria-g25/post-image.sh b/board/acmesystems/aria-g25/post-image.sh
new file mode 100755
index 0000000..c82b189
--- /dev/null
+++ b/board/acmesystems/aria-g25/post-image.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+BOARD_DIR="$(dirname $0)"
+GENIMAGE_CFG="${BOARD_DIR}/genimage.cfg"
+GENIMAGE_TMP="${BUILD_DIR}/genimage.tmp"
+
+rm -rf "${GENIMAGE_TMP}"
+
+genimage                               \
+	--rootpath "${TARGET_DIR}"     \
+	--tmppath "${GENIMAGE_TMP}"    \
+	--inputpath "${BINARIES_DIR}"  \
+	--outputpath "${BINARIES_DIR}" \
+	--config "${GENIMAGE_CFG}"
+
+exit $?
-- 
2.7.4




More information about the buildroot mailing list